<?php
//=================================================================
// KOOBI R7 - CMS - PORTALSOFTWARE(c) DREAM4(r) 
// HTTP://WWW.DREAM4.DE
//=================================================================
// ACHTUNG!
// DIESER PROGRAMMCODE IST URHERRECHTLICH GESCHUETZT
// DIE URHEBERRECHTE LIEGEN BEI DEN JEWEILIGEN AUTOREN.
// AENDERUNGEN IN DIESER DATEI ERFOLGEN AUF EIGENE GEFAHR!
// ES IST NICHT GESTATTET, DEN COPYRIGHTHINWEIS ZU AENDERN ODER ZU
// ENTFERNEN. NUR WENN SIE EINE COPYRIGHTHINWEIS-ENTFERNUNG BESTELLT
// HABEN, DUERFEN SIE DIESEN ENTFERNEN.
//================================================================
// BEI FRAGEN WENDEN SIE SICH BITTE AN: KONTAKT@DREAM4.DE
//=================================================================
if(!defined('BASE_DIR')) exit;


if(!get_active('downloads') || @!file_exists(BASE_DIR . '/class/Class.Downloads.php'))
{
	notActive();
} else {
	if(!permission('downloads'))
	{
		noperm();
	} else {
		
		include_once(BASE_DIR . '/class/Class.Downloads.php');
		$Downloads = new Downloads;
		$Downloads->Settings();
		
		$_REQUEST['action'] = isset($_REQUEST['action']) ? $_REQUEST['action'] : '';
		switch($_REQUEST['action'])
		{
			case '':
				$Downloads->displayCategs();
			break;
			
			case 'getfile':
				$Downloads->GetFile(@$_REQUEST['id']);
			break;
			
			case 'search':
				$Downloads->SearchDownloads();
			break;
			
			case 'brokenlink':
				define('AJAX_OUTPUT',1);
				$Downloads->BrokenLink(@$_REQUEST['id']);
			break;
			
			case 'showdetails':
				$Downloads->showDetails(@$_REQUEST['id']);
			break;
			
			case 'updatehitcount':
				define('AJAX_OUTPUT',1);
				$Downloads->Updatehitcount(@$_REQUEST['id']);
			break;
		}
		
		
	}
}
?>